View usage plan

Prev Next

Available in Classic and VPC

View the details of a specified usage plan.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/usage-plans/{usage-plan-id}

Request headers

For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
usage-plan-id String Required ID of usage plan to view

Request example

The following is a sample request.

curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/usage-plans/***wthl***"' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response syntax

The response syntax is as follows.

{
    "usagePlan" : {
        "domainCode" : "domainCode",
        "usagePlanId" : "usagePlanId",
        "modifier" : "modifier",
        "associatedStagesCount" : 0,
        "dayQuotaRequest" : 6,
        "permission" : "permission",
        "rateRps" : 5,
        "usagePlanName" : "usagePlanName",
        "monthQuotaRequest" : 1,
        "tenantId" : "tenantId",
        "disabled" : true,
        "usagePlanDescription" : "usagePlanDescription",
        "quotaCondition" : "quotaCondition",
        "actionName" : "actionName"
  }
}

Response status codes

For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.

Response example

The following is a sample response.

{
    "usagePlan": {
        "tenantId": "***e230cebc1402ba89b148896951***",
        "usagePlanId": "***wthl***",
        "rateRps": 2,
        "usagePlanName": "usageplan000",
        "usagePlanDescription": "usage plan",
        "dayQuotaRequest": 5,
        "monthQuotaRequest": 10,
        "domainCode": "PUB",
        "associatedStagesCount": 0
    }
}